Trigger Upgrade Now
POST
/clusters/{cluster_id}/upgrades/{upgrade_id}/trigger-now
const url = 'https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/upgrades/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/trigger-now';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/upgrades/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/trigger-nowTrigger immediate execution of a scheduled upgrade.
This allows users to update their cluster before the scheduled date. Only works for pending upgrades (not already in progress).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” cluster_id
required
Cluster Id
string format: uuid
upgrade_id
required
Upgrade Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
UpgradeRequestResponse
Response schema for an upgrade request.
object
id
required
Id
string format: uuid
cluster_id
required
Cluster Id
string format: uuid
from_version
required
From Version
string
to_version
required
To Version
string
status
required
Status
string
requested_at
required
Requested At
string format: date-time
is_auto_scheduled
Is Auto Scheduled
boolean
Example
{ "is_auto_scheduled": false}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}